# Release 0.12.0

## Features

- allow restricting access to EKS Kubernetes Public API Endpoint (#1688)
- `eksctl {get,delete} fargateprofile` can now read the cluster name & region from a `ClusterConfig` file (#1667)
- support Managed Nodegroups and Fargate for auto-upgraded clusters (#1665)
- upgrade CNI plugin to version 1.5.5 (#1554)
- support using a proxy in the IAM OIDC provider configuration (#1620)
- enable support for Managed Nodegroups when upgrading from EKS 1.13 to 1.14 (#1656)
  - `--wait` flag is no longer supported in `eksctl update cluster`

## Improvements

- upgrade Go to 1.13 (#1648)
- `eksctl` now leverages `cobra` to print all errors in a more standardised way (#1664)
- `eksctl` now no longer print usage/help on invalid user input (#1677)
- improved Fargate documentation & example `ClusterConfig` manifest (#1666)
- update all AMIs (#1674) 
- no longer print usage help on errors (#1677)
- improved Circleci build workflows (#1679)
- update maxpods.go (#1659)
- added `@weaveworks/team` to the pull-request template that mentions the maintainers (#1660)

## Bug fixes

- fix setup script if GOPATH contains multiple paths (#1632)
- fix error in processing of subnets (#1661)
- fix AMI selection for Managed Nodegroups (#1649)
